import { Session } from '@shopify/shopify-api';
import { SessionStorage } from '@shopify/shopify-app-session-storage';
export interface MySQLSessionStorageOptions {
    sessionTableName: string;
}
export declare class MySQLSessionStorage implements SessionStorage {
    private dbUrl;
    static withCredentials(host: string, dbName: string, username: string, password: string, opts: Partial<MySQLSessionStorageOptions>): MySQLSessionStorage;
    readonly ready: Promise<void>;
    private options;
    private connection;
    constructor(dbUrl: URL, opts?: Partial<MySQLSessionStorageOptions>);
    storeSession(session: Session): Promise<boolean>;
    loadSession(id: string): Promise<Session | undefined>;
    deleteSession(id: string): Promise<boolean>;
    deleteSessions(ids: string[]): Promise<boolean>;
    findSessionsByShop(shop: string): Promise<Session[]>;
    disconnect(): Promise<void>;
    private init;
    private hasSessionTable;
    private createTable;
    private query;
    private databaseRowToSession;
}
//# sourceMappingURL=mysql.d.ts.map